#
# Conditional build:
%bcond_without	tests	# py.test tests

Summary:	py.test plugin to check FLAKE8 requirements
Summary(pl.UTF-8):	Wtyczka py.test do sprawdzania wymagań FLAKE8
Name:		python3-pytest-flake8
Version:	1.3.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-flake8/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-flake8/pytest_flake8-%{version}.tar.gz
# Source0-md5:	0f8b276a4ff9955c23f77997652cb0db
URL:		https://github.com/tholo/pytest-flake8
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-flake8 >= 3.5
BuildRequires:	python3-pytest >= 3.5
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py.test plugin for efficiently checking PEP8 compliance.

%description -l pl.UTF-8
Wtyczka py.test do efektywnego sprawdzania zgodności z PEP8.

%prep
%setup -q -n pytest_flake8-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTHONPATH=$(pwd) \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_flake8" \
%{__python3} -m pytest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS.rst README.rst
%{py3_sitescriptdir}/pytest_flake8.py
%{py3_sitescriptdir}/__pycache__/pytest_flake8.cpython-*.py[co]
%{py3_sitescriptdir}/pytest_flake8-%{version}.dist-info
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-flake8.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 35eede7
- Up to 1.3.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7a58c82
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d1caa2d
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1af30f2
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> de03d1a
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 611136f
- version comment

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2136ee1
- release 2 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> e0c0354
- updated to 1.0.7

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2ef3ef6
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Oct 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d67322
- updated to 1.0.4

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 74fc926
- updated to 1.0.1
- removed obsolete tests patch

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fbc6abd
- release 2 (by relup.sh)

* Tue Apr 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 9debd1e
- new

